.github/run-ci.sh: Fix test suite to properly fail in CI

Silly typo was causing tests to pass even when they fail.
diff --git a/.github/run-ci.sh b/.github/run-ci.sh
index 264b9c1..f4395f6 100755
--- a/.github/run-ci.sh
+++ b/.github/run-ci.sh
@@ -97,7 +97,7 @@
 
 # Lazily ensure that the script exits when a command fails
 #
-set -x
+set -e
 
 if [ -z "${test_names}" ]; then
     runTest "lint"